#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 th-extras
version:              0.0.0.4
visibility:           public
id:                   th-extras-0.0.0.4-OFoFziQJyK59NccI3v5NX
key:                  th-extras-0.0.0.4-OFoFziQJyK59NccI3v5NX
license:              LicenseRef-PublicDomain
maintainer:           James Cook <mokus@deepbondi.net>
author:               James Cook <mokus@deepbondi.net>
stability:            experimental
homepage:             https://github.com/mokus0/th-extras
synopsis:             A grab bag of functions for use with Template Haskell
description:
    A grab bag of functions for use with Template Haskell.

    This is basically the place I put all my ugly CPP hacks to support
    the ever-changing interface of the template haskell system by
    providing high-level operations and making sure they work on as many
    versions of Template Haskell as I can.

category:             Template Haskell
abi:                  cd38cb770c26434ad32b37f038ffbc0d
exposed:              True
exposed-modules:      Language.Haskell.TH.Extras
import-dirs:          /usr/lib/ghc-8.10.4/site-local/th-extras-0.0.0.4
library-dirs:         /usr/lib/ghc-8.10.4/site-local/th-extras-0.0.0.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/th-extras-0.0.0.4
hs-libraries:         HSth-extras-0.0.0.4-OFoFziQJyK59NccI3v5NX
depends:
    base-4.14.1.0 syb-0.7.2.1-JKZju2S4ac626Sffwf6Fw2
    template-haskell-2.16.0.0

haddock-interfaces:   /usr/share/doc/haskell-th-extras/html/th-extras.haddock
haddock-html:         /usr/share/doc/haskell-th-extras/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

